# satstream_python_sdk
Satstream API

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0
- Package version: 1.0.23
- Build package: io.swagger.codegen.v3.generators.python.PythonClientCodegen
For more information, please visit [https://satstream.io](https://satstream.io)

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import satstream_python_sdk 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import satstream_python_sdk
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import satstream_python_sdk
from satstream_python_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: ApiKeyAuth
configuration = satstream_python_sdk.Configuration()
configuration.api_key['X-API-KEY'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-API-KEY'] = 'Bearer'

# create an instance of the API class
api_instance = satstream_python_sdk.AddressesApi(satstream_python_sdk.ApiClient(configuration))
address = 'address_example' # str | Address

try:
    # Get address info
    api_response = api_instance.get_address(address)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AddressesApi->get_address: %s\n" % e)

# Configure API key authorization: ApiKeyAuth
configuration = satstream_python_sdk.Configuration()
configuration.api_key['X-API-KEY'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-API-KEY'] = 'Bearer'

# create an instance of the API class
api_instance = satstream_python_sdk.AddressesApi(satstream_python_sdk.ApiClient(configuration))
address = 'address_example' # str | Address
type = 'type_example' # str | UTXO Type (optional)

try:
    # Get UTXOs for an address
    api_response = api_instance.get_address_utxos(address, type=type)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AddressesApi->get_address_utxos: %s\n" % e)

# Configure API key authorization: ApiKeyAuth
configuration = satstream_python_sdk.Configuration()
configuration.api_key['X-API-KEY'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-API-KEY'] = 'Bearer'

# create an instance of the API class
api_instance = satstream_python_sdk.AddressesApi(satstream_python_sdk.ApiClient(configuration))
address = 'address_example' # str | Bitcoin address to validate

try:
    # Validate address
    api_response = api_instance.validate_address(address)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AddressesApi->validate_address: %s\n" % e)

# Configure API key authorization: ApiKeyAuth
configuration = satstream_python_sdk.Configuration()
configuration.api_key['X-API-KEY'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-API-KEY'] = 'Bearer'

# create an instance of the API class
api_instance = satstream_python_sdk.AddressesApi(satstream_python_sdk.ApiClient(configuration))
body = satstream_python_sdk.VerifyMessageRequest() # VerifyMessageRequest | Message verification parameters

try:
    # Verify message
    api_response = api_instance.verify_message(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AddressesApi->verify_message: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://api.satstream.io/api/v1*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AddressesApi* | [**get_address**](docs/AddressesApi.md#get_address) | **GET** /address/{address} | Get address info
*AddressesApi* | [**get_address_utxos**](docs/AddressesApi.md#get_address_utxos) | **GET** /address/{address}/outputs | Get UTXOs for an address
*AddressesApi* | [**validate_address**](docs/AddressesApi.md#validate_address) | **GET** /address/{address}/validate | Validate address
*AddressesApi* | [**verify_message**](docs/AddressesApi.md#verify_message) | **POST** /address/verify-message | Verify message
*BlocksApi* | [**get_block_count**](docs/BlocksApi.md#get_block_count) | **GET** /blockcount | Get the height of the latest block
*BlocksApi* | [**get_block_decoded**](docs/BlocksApi.md#get_block_decoded) | **GET** /block/raw/{identifier}/decoded | Get block by hash or height (verbosity 2)
*BlocksApi* | [**get_block_hash_by_height**](docs/BlocksApi.md#get_block_hash_by_height) | **GET** /blockhash/{block_height} | Returns blockhash of specified block.
*BlocksApi* | [**get_block_hex**](docs/BlocksApi.md#get_block_hex) | **GET** /block/raw/{identifier}/hex | Get block by hash or height (verbosity 0)
*BlocksApi* | [**get_block_info**](docs/BlocksApi.md#get_block_info) | **GET** /block/{identifier} | Get block info by hash or height
*BlocksApi* | [**get_block_prevout**](docs/BlocksApi.md#get_block_prevout) | **GET** /block/raw/{identifier}/prevout | Get block by hash or height (verbosity 3)
*BlocksApi* | [**get_block_stats**](docs/BlocksApi.md#get_block_stats) | **POST** /block/stats | Get block stats
*BlocksApi* | [**get_block_summary**](docs/BlocksApi.md#get_block_summary) | **GET** /block/raw/{identifier}/summary | Get block by hash or height (verbosity 1)
*BlocksApi* | [**get_blockchain_info**](docs/BlocksApi.md#get_blockchain_info) | **GET** /blockchain/info | Get blockchain information
*BlocksApi* | [**get_blocks**](docs/BlocksApi.md#get_blocks) | **GET** /blocks | Returns the latest block height, last 100 block hashes, and featured inscriptions
*BlocksApi* | [**get_latest_block_height**](docs/BlocksApi.md#get_latest_block_height) | **GET** /blockheight | Returns the height of the latest block.
*BlocksApi* | [**get_latest_blockhash**](docs/BlocksApi.md#get_latest_blockhash) | **GET** /blockhash | Returns blockhash for the latest block.
*BlocksApi* | [**get_latest_blocktime**](docs/BlocksApi.md#get_latest_blocktime) | **GET** /blocktime | Get the timestamp of the latest block
*FeesApi* | [**estimate_raw_fee**](docs/FeesApi.md#estimate_raw_fee) | **POST** /fee/estimate-raw | Estimate Raw Fee
*FeesApi* | [**estimate_smart_fee**](docs/FeesApi.md#estimate_smart_fee) | **POST** /fee/estimate-smart | Estimate smart fee
*InscriptionsApi* | [**fetch_inscription_child**](docs/InscriptionsApi.md#fetch_inscription_child) | **GET** /inscription/{inscription_id}/{child_index} | Get inscription child info
*InscriptionsApi* | [**fetch_inscriptions**](docs/InscriptionsApi.md#fetch_inscriptions) | **POST** /inscriptions | Fetch multiple inscriptions
*InscriptionsApi* | [**get_block_inscriptions**](docs/InscriptionsApi.md#get_block_inscriptions) | **GET** /inscriptions/block/{block_height} | Get inscriptions in a specific block
*InscriptionsApi* | [**get_inscription**](docs/InscriptionsApi.md#get_inscription) | **GET** /inscription/{inscription_id} | Get inscription info
*InscriptionsApi* | [**get_latest_inscriptions**](docs/InscriptionsApi.md#get_latest_inscriptions) | **GET** /inscriptions | Get latest inscriptions
*InscriptionsApi* | [**get_latest_inscriptions_page**](docs/InscriptionsApi.md#get_latest_inscriptions_page) | **GET** /inscriptions/{page} | Get latest inscriptions page
*MempoolApi* | [**get_mempool_ancestors**](docs/MempoolApi.md#get_mempool_ancestors) | **POST** /mempool/ancestors | Get mempool ancestors
*MempoolApi* | [**get_mempool_descendants**](docs/MempoolApi.md#get_mempool_descendants) | **POST** /mempool/descendants | Get mempool descendants
*MempoolApi* | [**get_mempool_info**](docs/MempoolApi.md#get_mempool_info) | **GET** /mempool/info | Get mempool information
*MempoolApi* | [**get_raw_mempool**](docs/MempoolApi.md#get_raw_mempool) | **POST** /mempool/raw | Get raw mempool
*MempoolApi* | [**test_mempool_accept**](docs/MempoolApi.md#test_mempool_accept) | **POST** /mempool/test-accept | Test mempool accept
*MiningApi* | [**get_mining_info**](docs/MiningApi.md#get_mining_info) | **GET** /mining/info | Get mining information
*MiningApi* | [**get_network_hashps**](docs/MiningApi.md#get_network_hashps) | **POST** /mining/networkhashps | Get network hash per second
*NetworkApi* | [**get_chain_tx_stats**](docs/NetworkApi.md#get_chain_tx_stats) | **POST** /chain/txstats | Get chain tx stats
*NetworkApi* | [**get_difficulty**](docs/NetworkApi.md#get_difficulty) | **GET** /chain/difficulty | Get difficulty
*OutputsApi* | [**get_output_by_outpoint**](docs/OutputsApi.md#get_output_by_outpoint) | **GET** /output/{outpoint} | Get output info by outpoint
*OutputsApi* | [**get_outputs**](docs/OutputsApi.md#get_outputs) | **POST** /outputs | Get multiple outputs
*PSBTsApi* | [**analyze_psbt**](docs/PSBTsApi.md#analyze_psbt) | **POST** /psbt/analyze | Analyze PSBT
*PSBTsApi* | [**combine_psbt**](docs/PSBTsApi.md#combine_psbt) | **POST** /psbt/combine | Combine PSBTs
*PSBTsApi* | [**create_psbt**](docs/PSBTsApi.md#create_psbt) | **POST** /psbt/create | Create PSBT
*PSBTsApi* | [**decode_psbt**](docs/PSBTsApi.md#decode_psbt) | **POST** /psbt/decode | Decode PSBT
*PSBTsApi* | [**join_psbts**](docs/PSBTsApi.md#join_psbts) | **POST** /psbt/join | Join PSBTs
*RunesApi* | [**get_latest_runes**](docs/RunesApi.md#get_latest_runes) | **GET** /runes | Get latest runes
*RunesApi* | [**get_latest_runes_page**](docs/RunesApi.md#get_latest_runes_page) | **GET** /runes/{page} | Get latest runes page
*RunesApi* | [**get_rune**](docs/RunesApi.md#get_rune) | **GET** /rune/{rune_name} | Get rune info
*SatoshisApi* | [**get_satoshi**](docs/SatoshisApi.md#get_satoshi) | **GET** /sat/{number} | Get satoshi info
*ScriptsApi* | [**decode_script**](docs/ScriptsApi.md#decode_script) | **POST** /script/decode | Decode Script
*StatusApi* | [**get_status**](docs/StatusApi.md#get_status) | **GET** /status | Get server status
*TransactionsApi* | [**combine_raw_transaction**](docs/TransactionsApi.md#combine_raw_transaction) | **POST** /tx/combine | Combine Raw Transactions
*TransactionsApi* | [**convert_to_psbt**](docs/TransactionsApi.md#convert_to_psbt) | **POST** /tx/convert-to-psbt | Convert Raw Transaction to PSBT
*TransactionsApi* | [**create_raw_transaction**](docs/TransactionsApi.md#create_raw_transaction) | **POST** /tx/create | Create Raw Transaction
*TransactionsApi* | [**decode_tx**](docs/TransactionsApi.md#decode_tx) | **GET** /tx/{txid}/decode | Decode a transaction
*TransactionsApi* | [**get_raw_transaction_decoded**](docs/TransactionsApi.md#get_raw_transaction_decoded) | **GET** /tx/{txid}/decoded | Get raw transaction (verbosity 1)
*TransactionsApi* | [**get_raw_transaction_hex**](docs/TransactionsApi.md#get_raw_transaction_hex) | **GET** /tx/{txid}/hex | Get raw transaction (verbosity 0)
*TransactionsApi* | [**get_raw_transaction_prevout**](docs/TransactionsApi.md#get_raw_transaction_prevout) | **GET** /tx/{txid}/prevout | Get raw transaction (verbosity 2)
*TransactionsApi* | [**get_transaction**](docs/TransactionsApi.md#get_transaction) | **GET** /tx/{txid} | Get transaction info
*TransactionsApi* | [**get_tx_out**](docs/TransactionsApi.md#get_tx_out) | **POST** /tx/out | Get transaction output
*TransactionsApi* | [**get_tx_out_proof**](docs/TransactionsApi.md#get_tx_out_proof) | **POST** /tx/outproof | Get transaction output proof
*TransactionsApi* | [**get_tx_out_set_info**](docs/TransactionsApi.md#get_tx_out_set_info) | **POST** /tx/out/set/info | Get transaction output set information
*TransactionsApi* | [**get_tx_spending_prevout**](docs/TransactionsApi.md#get_tx_spending_prevout) | **POST** /tx/spending-prevout | Get transaction spending prevout
*TransactionsApi* | [**send_raw_transaction**](docs/TransactionsApi.md#send_raw_transaction) | **POST** /tx/send | Send raw transaction
*TransactionsApi* | [**verify_tx_out_proof**](docs/TransactionsApi.md#verify_tx_out_proof) | **POST** /tx/outproof/verify | Verify transaction output proof

## Documentation For Models

 - [AddressResponse](docs/AddressResponse.md)
 - [AllOfBlockVin2ScriptSig](docs/AllOfBlockVin2ScriptSig.md)
 - [AllOfBlockVin3Prevout](docs/AllOfBlockVin3Prevout.md)
 - [AllOfDecodedPSBTInputFinalScriptsig](docs/AllOfDecodedPSBTInputFinalScriptsig.md)
 - [AllOfDecodedPSBTInputNonWitnessUtxo](docs/AllOfDecodedPSBTInputNonWitnessUtxo.md)
 - [AllOfDecodedPSBTInputRedeemScript](docs/AllOfDecodedPSBTInputRedeemScript.md)
 - [AllOfDecodedPSBTInputUnknown](docs/AllOfDecodedPSBTInputUnknown.md)
 - [AllOfDecodedPSBTInputWitnessScript](docs/AllOfDecodedPSBTInputWitnessScript.md)
 - [AllOfDecodedPSBTInputWitnessUtxo](docs/AllOfDecodedPSBTInputWitnessUtxo.md)
 - [AllOfDecodedPSBTOutputRedeemScript](docs/AllOfDecodedPSBTOutputRedeemScript.md)
 - [AllOfDecodedPSBTOutputUnknown](docs/AllOfDecodedPSBTOutputUnknown.md)
 - [AllOfDecodedPSBTOutputWitnessScript](docs/AllOfDecodedPSBTOutputWitnessScript.md)
 - [AllOfDecodedPSBTTx](docs/AllOfDecodedPSBTTx.md)
 - [AllOfDecodedPSBTUnknown](docs/AllOfDecodedPSBTUnknown.md)
 - [AllOfDecodedScriptSegwit](docs/AllOfDecodedScriptSegwit.md)
 - [AllOfFeeHorizonEstimateFail](docs/AllOfFeeHorizonEstimateFail.md)
 - [AllOfFeeHorizonEstimatePass](docs/AllOfFeeHorizonEstimatePass.md)
 - [AllOfMempoolEntryFees](docs/AllOfMempoolEntryFees.md)
 - [AllOfPSBTWitnessUtxoScriptPubKey](docs/AllOfPSBTWitnessUtxoScriptPubKey.md)
 - [AllOfRawFeeEstimateLong](docs/AllOfRawFeeEstimateLong.md)
 - [AllOfRawFeeEstimateMedium](docs/AllOfRawFeeEstimateMedium.md)
 - [AllOfRawFeeEstimateShort](docs/AllOfRawFeeEstimateShort.md)
 - [AllOfRawMempoolDataSequence](docs/AllOfRawMempoolDataSequence.md)
 - [AllOfRuneListEntry1](docs/AllOfRuneListEntry1.md)
 - [AllOfTestMempoolAcceptResultFees](docs/AllOfTestMempoolAcceptResultFees.md)
 - [AllOfTxOutScriptPubKey](docs/AllOfTxOutScriptPubKey.md)
 - [AllOfUTXOBlockInfoUnspendables](docs/AllOfUTXOBlockInfoUnspendables.md)
 - [AllOfUTXOSetInfoBlockInfo](docs/AllOfUTXOSetInfoBlockInfo.md)
 - [Bip32Deriv](docs/Bip32Deriv.md)
 - [Block1](docs/Block1.md)
 - [Block2](docs/Block2.md)
 - [Block3](docs/Block3.md)
 - [BlockResponse](docs/BlockResponse.md)
 - [BlockStats](docs/BlockStats.md)
 - [BlockVin2](docs/BlockVin2.md)
 - [BlockVin3](docs/BlockVin3.md)
 - [BlockchainInfo](docs/BlockchainInfo.md)
 - [BlocksResponse](docs/BlocksResponse.md)
 - [BtcTx2](docs/BtcTx2.md)
 - [BtcTx3](docs/BtcTx3.md)
 - [ChainTxStats](docs/ChainTxStats.md)
 - [DecodeResponse](docs/DecodeResponse.md)
 - [DecodedInscription](docs/DecodedInscription.md)
 - [DecodedPSBT](docs/DecodedPSBT.md)
 - [DecodedPSBTInput](docs/DecodedPSBTInput.md)
 - [DecodedPSBTOutput](docs/DecodedPSBTOutput.md)
 - [DecodedScript](docs/DecodedScript.md)
 - [Duration](docs/Duration.md)
 - [FeeHorizonEstimate](docs/FeeHorizonEstimate.md)
 - [FeeRange](docs/FeeRange.md)
 - [GetAddressResponse](docs/GetAddressResponse.md)
 - [GetAddressUTXOsResponse](docs/GetAddressUTXOsResponse.md)
 - [InlineResponse200](docs/InlineResponse200.md)
 - [InlineResponse2001](docs/InlineResponse2001.md)
 - [InlineResponse20010](docs/InlineResponse20010.md)
 - [InlineResponse20011](docs/InlineResponse20011.md)
 - [InlineResponse20012](docs/InlineResponse20012.md)
 - [InlineResponse20013](docs/InlineResponse20013.md)
 - [InlineResponse20014](docs/InlineResponse20014.md)
 - [InlineResponse20015](docs/InlineResponse20015.md)
 - [InlineResponse20016](docs/InlineResponse20016.md)
 - [InlineResponse20017](docs/InlineResponse20017.md)
 - [InlineResponse20018](docs/InlineResponse20018.md)
 - [InlineResponse20019](docs/InlineResponse20019.md)
 - [InlineResponse2002](docs/InlineResponse2002.md)
 - [InlineResponse20020](docs/InlineResponse20020.md)
 - [InlineResponse20021](docs/InlineResponse20021.md)
 - [InlineResponse20022](docs/InlineResponse20022.md)
 - [InlineResponse20023](docs/InlineResponse20023.md)
 - [InlineResponse20024](docs/InlineResponse20024.md)
 - [InlineResponse20025](docs/InlineResponse20025.md)
 - [InlineResponse20026](docs/InlineResponse20026.md)
 - [InlineResponse20027](docs/InlineResponse20027.md)
 - [InlineResponse20028](docs/InlineResponse20028.md)
 - [InlineResponse20029](docs/InlineResponse20029.md)
 - [InlineResponse2003](docs/InlineResponse2003.md)
 - [InlineResponse20030](docs/InlineResponse20030.md)
 - [InlineResponse20031](docs/InlineResponse20031.md)
 - [InlineResponse20032](docs/InlineResponse20032.md)
 - [InlineResponse20033](docs/InlineResponse20033.md)
 - [InlineResponse20034](docs/InlineResponse20034.md)
 - [InlineResponse20035](docs/InlineResponse20035.md)
 - [InlineResponse20036](docs/InlineResponse20036.md)
 - [InlineResponse20037](docs/InlineResponse20037.md)
 - [InlineResponse20038](docs/InlineResponse20038.md)
 - [InlineResponse2004](docs/InlineResponse2004.md)
 - [InlineResponse2005](docs/InlineResponse2005.md)
 - [InlineResponse2006](docs/InlineResponse2006.md)
 - [InlineResponse2007](docs/InlineResponse2007.md)
 - [InlineResponse2008](docs/InlineResponse2008.md)
 - [InlineResponse2009](docs/InlineResponse2009.md)
 - [Input](docs/Input.md)
 - [InscriptionData](docs/InscriptionData.md)
 - [InscriptionResponse](docs/InscriptionResponse.md)
 - [LatestInscriptionsResponse](docs/LatestInscriptionsResponse.md)
 - [MempoolAncestorsData](docs/MempoolAncestorsData.md)
 - [MempoolDescendantsData](docs/MempoolDescendantsData.md)
 - [MempoolEntry](docs/MempoolEntry.md)
 - [MempoolFees](docs/MempoolFees.md)
 - [MempoolInfo](docs/MempoolInfo.md)
 - [MempoolSequence](docs/MempoolSequence.md)
 - [MiningInfo](docs/MiningInfo.md)
 - [Output](docs/Output.md)
 - [OutputResponse](docs/OutputResponse.md)
 - [PSBTAnalysis](docs/PSBTAnalysis.md)
 - [PSBTBip32Deriv](docs/PSBTBip32Deriv.md)
 - [PSBTInputAnalysis](docs/PSBTInputAnalysis.md)
 - [PSBTMissingData](docs/PSBTMissingData.md)
 - [PSBTWitnessUtxo](docs/PSBTWitnessUtxo.md)
 - [PrevOut](docs/PrevOut.md)
 - [RawFeeEstimate](docs/RawFeeEstimate.md)
 - [RawMempoolData](docs/RawMempoolData.md)
 - [RawTx1](docs/RawTx1.md)
 - [RawTx2](docs/RawTx2.md)
 - [RequestsAnalyzePSBTRequest](docs/RequestsAnalyzePSBTRequest.md)
 - [RequestsCombinePSBTRequest](docs/RequestsCombinePSBTRequest.md)
 - [RequestsCombineRawTransactionRequest](docs/RequestsCombineRawTransactionRequest.md)
 - [RequestsConvertToPSBTRequest](docs/RequestsConvertToPSBTRequest.md)
 - [RequestsCreatePSBTInput](docs/RequestsCreatePSBTInput.md)
 - [RequestsCreatePSBTOutput](docs/RequestsCreatePSBTOutput.md)
 - [RequestsCreatePSBTRequest](docs/RequestsCreatePSBTRequest.md)
 - [RequestsCreateRawTxInput](docs/RequestsCreateRawTxInput.md)
 - [RequestsCreateRawTxOutput](docs/RequestsCreateRawTxOutput.md)
 - [RequestsCreateRawTxRequest](docs/RequestsCreateRawTxRequest.md)
 - [RequestsDecodeScriptRequest](docs/RequestsDecodeScriptRequest.md)
 - [RequestsEstimateRawFeeRequest](docs/RequestsEstimateRawFeeRequest.md)
 - [RequestsEstimateSmartFeeRequest](docs/RequestsEstimateSmartFeeRequest.md)
 - [RequestsGetBlockStatsRequest](docs/RequestsGetBlockStatsRequest.md)
 - [RequestsGetChainTxStatsRequest](docs/RequestsGetChainTxStatsRequest.md)
 - [RequestsGetMempoolAncestorsRequest](docs/RequestsGetMempoolAncestorsRequest.md)
 - [RequestsGetMempoolDescendantsRequest](docs/RequestsGetMempoolDescendantsRequest.md)
 - [RequestsGetNetworkHashPSRequest](docs/RequestsGetNetworkHashPSRequest.md)
 - [RequestsGetRawMempoolRequest](docs/RequestsGetRawMempoolRequest.md)
 - [RequestsGetTxOutProofRequest](docs/RequestsGetTxOutProofRequest.md)
 - [RequestsGetTxOutRequest](docs/RequestsGetTxOutRequest.md)
 - [RequestsGetTxOutSetInfoRequest](docs/RequestsGetTxOutSetInfoRequest.md)
 - [RequestsGetTxSpendingPrevoutRequest](docs/RequestsGetTxSpendingPrevoutRequest.md)
 - [RequestsJoinPSBTsRequest](docs/RequestsJoinPSBTsRequest.md)
 - [RequestsSendRawTransactionRequest](docs/RequestsSendRawTransactionRequest.md)
 - [RequestsTestMempoolAcceptRequest](docs/RequestsTestMempoolAcceptRequest.md)
 - [RequestsVerifyTxOutProofRequest](docs/RequestsVerifyTxOutProofRequest.md)
 - [RuneEntry](docs/RuneEntry.md)
 - [RuneListEntry](docs/RuneListEntry.md)
 - [RuneResponse](docs/RuneResponse.md)
 - [RuneTerms](docs/RuneTerms.md)
 - [RunesBalance](docs/RunesBalance.md)
 - [RunesListResponse](docs/RunesListResponse.md)
 - [RunestoneData](docs/RunestoneData.md)
 - [SatoshiResponse](docs/SatoshiResponse.md)
 - [Script](docs/Script.md)
 - [ScriptPubKey](docs/ScriptPubKey.md)
 - [ScriptSig](docs/ScriptSig.md)
 - [SegwitDetails](docs/SegwitDetails.md)
 - [SmartFeeEstimate](docs/SmartFeeEstimate.md)
 - [StatusResponse](docs/StatusResponse.md)
 - [TestMempoolAcceptResult](docs/TestMempoolAcceptResult.md)
 - [TestMempoolFees](docs/TestMempoolFees.md)
 - [Transaction](docs/Transaction.md)
 - [TransactionDetails](docs/TransactionDetails.md)
 - [TransactionInput](docs/TransactionInput.md)
 - [TransactionOutput](docs/TransactionOutput.md)
 - [TransactionResponse](docs/TransactionResponse.md)
 - [TxOut](docs/TxOut.md)
 - [TxSpendingPrevoutInput](docs/TxSpendingPrevoutInput.md)
 - [TxSpendingPrevoutResult](docs/TxSpendingPrevoutResult.md)
 - [TxVin1](docs/TxVin1.md)
 - [TxVin2](docs/TxVin2.md)
 - [UTXOBlockInfo](docs/UTXOBlockInfo.md)
 - [UTXOSetInfo](docs/UTXOSetInfo.md)
 - [UTXOUnspendables](docs/UTXOUnspendables.md)
 - [UnknownFields](docs/UnknownFields.md)
 - [UtilsResponseEnvelope](docs/UtilsResponseEnvelope.md)
 - [ValidateAddressResponse](docs/ValidateAddressResponse.md)
 - [ValidateAddressResult](docs/ValidateAddressResult.md)
 - [VerifyMessageRequest](docs/VerifyMessageRequest.md)
 - [VerifyMessageResponse](docs/VerifyMessageResponse.md)
 - [Vout](docs/Vout.md)

## Documentation For Authorization


## ApiKeyAuth

- **Type**: API key
- **API key parameter name**: X-API-KEY
- **Location**: HTTP header


## Author

team@satstream.io
